petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPSolveTranspose

Solves the transpose of a linear system.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSolveTranspose(KSP ksp,Vec b,Vec x)

Collective on KSP

### Input Parameter

| ksp | - iterative context obtained from KSPCreate()
| b | - right hand side vector
| x | - solution vector

### Notes

For complex numbers this solve the non-Hermitian transpose system.

This currently does NOT correctly use the null space of the operator and its transpose for solving singular systems.

### Developer Notes

We need to implement a KSPSolveHermitianTranspose()

### Keywords

solve, linear system

### See Also

KSPCreate(), KSPSetUp(), KSPDestroy(), KSPSetTolerances(), KSPConvergedDefault(),
KSPSolve(), KSP

### Level

developer

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/examples/tutorials/ex53.c.html
src/ksp/ksp/examples/tutorials/ex67.c.html
src/ksp/ksp/examples/tutorials/ex72.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages